Page MenuHomePhabricator

API links to mediawiki.org should be in user's preferred language
Closed, ResolvedPublic

Description

If your language preference on mediawiki.org is not English, and you click a link in the generated API help such as "See the complete documentation" you see the English wiki page even if it has been translated into your language.

I think the preferred approach is to link to Special:MyLanguage/Page_title, which will show in a logged-in Wikimedia user's preferred language.

Event Timeline

Spage raised the priority of this task from to Low.
Spage updated the task description. (Show Details)
Spage added projects: MediaWiki-API, I18n.
Spage added a subscriber: Spage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 2 2015, 12:03 AM
Krenair added a subscriber: Krenair.
Anomie moved this task from Unsorted to Non-Code on the MediaWiki-API board.Jul 2 2015, 1:47 PM

Change 222229 had a related patch set uploaded (by Alex Monk):
Add Special:MyLanguage to [[mw: in message links

https://gerrit.wikimedia.org/r/222229

Anomie moved this task from Non-Code to Needs Review on the MediaWiki-API board.Jul 7 2015, 4:45 PM

Change 222229 merged by jenkins-bot:
[mediawiki/core@master] Make API documentation links language aware

https://gerrit.wikimedia.org/r/222229

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 5 2017, 5:42 PM
Anomie closed this task as Resolved.Apr 5 2017, 6:32 PM
Anomie assigned this task to bmansurov.